#!/usr/bin/env bash
set -euo pipefail

JSON_FILE="${1:-}"
if test -z "$JSON_FILE"; then
    echo "Please specify a report JSON file as the first argument."
    exit 1
fi

jq -r -f script/axe-report.jq "$JSON_FILE"

NUM_ERRORS="$(jq '.violations | map(.nodes | length) | add' "$JSON_FILE")"
if [ -z "$NUM_ERRORS" ];
then
    echo "$NUM_ERRORS accessibility errors"
    echo
    echo "To see these errors, run 'make axe-report > errors.new' and open 'errors.new'"
    exit 1
fi
